audio/wsoundserver - The NetBSD Packages Collection

Sound server for windowmaker

WSoundServer is a dockapp which interprets WindowMaker events (such as
shading a window or minimizing an application) and plays a sound associated
with that event. Since it's dockable, you can have it automatically launch
on startup, or "kill" it off if it becomes too noisy.

You can find a partial soundset for it at
http://wm.current.nu/files/wmsdefault.tar.gz

Build dependencies

pkgtools/x11-links x11/xorgproto pkgtools/cwrappers devel/libtool-base devel/pkgconf

Runtime dependencies

audio/libaudiofile devel/libdockapp devel/libproplist wm/windowmaker audio/libaudiofile devel/libdockapp devel/libproplist wm/windowmaker

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 8.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 8.0i386wsoundserver-0.4.0nb28.tgz
NetBSD 8.0i386wsoundserver-0.4.0nb28.tgz
NetBSD 8.0i386wsoundserver-0.4.0nb28.tgz
NetBSD 8.0powerpcwsoundserver-0.4.0nb28.tgz
NetBSD 8.0powerpcwsoundserver-0.4.0nb28.tgz
NetBSD 8.0powerpcwsoundserver-0.4.0nb28.tgz
NetBSD 8.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 8.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0aarch64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0aarch64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0aarch64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0alphawsoundserver-0.4.0nb28.tgz
NetBSD 9.0alphawsoundserver-0.4.0nb28.tgz
NetBSD 9.0alphawsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv6hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv6hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv6hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv6hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0earmv7hfwsoundserver-0.4.0nb28.tgz
NetBSD 9.0i386wsoundserver-0.4.0nb28.tgz
NetBSD 9.0i386wsoundserver-0.4.0nb28.tgz
NetBSD 9.0mips64ebwsoundserver-0.4.0nb28.tgz
NetBSD 9.0mips64ebwsoundserver-0.4.0nb28.tgz
NetBSD 9.0mips64ebwsoundserver-0.4.0nb28.tgz
NetBSD 9.0powerpcwsoundserver-0.4.0nb28.tgz
NetBSD 9.0powerpcwsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparc64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparc64wsoundserver-0.4.0nb27.tgz
NetBSD 9.0sparc64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparc64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparcwsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparcwsoundserver-0.4.0nb28.tgz
NetBSD 9.0sparcwsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz
NetBSD 9.0x86_64wsoundserver-0.4.0nb28.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.